Subject: Re: Pbms building ap2-php4 and ap2-perl
To: None <>
From: Eric Gillespie <>
List: tech-pkg
Date: 05/30/2003 17:38:49
"Jean-Luc Wasmer" <> writes:

> I applied your patch and run "make update" in www/php4
> I still have the same errors when I run "make" in www/ap2-php4.

Are you sure?  You shouldn't have to run make update in www/php4;
my changes never broke that package.  Apply the patch in www/php4
and make sure you have that package installed.  If you are having
difficulty installing php4, you have another problem entirely.
Next, go into www/ap2-php4 and make clean.  Then make, and if you
have a problem please include a complete build log.

> > And now here is a patch for ap2-perl, for which the same
> > description applies.
> [...]
> > --- lib/Apache/ Fri Jan 10 23:16:12 2003
> > +++ lib/Apache/
> Where is this file ?

Sorry, i was not clear.  The patch for ap2-perl should be placed
as www/ap2-perl/patches/patch-aa, then run make distinfo, then
make sure it's clean and it should build.

> PS: please do not reply to me directly... only to the mailing-list. Thanks.

It would be nice of you to return the courtesy ;->.

Eric Gillespie <*>

Build a fire for a man, and he'll be warm for a day.  Set a man on
fire, and he'll be warm for the rest of his life. -Terry Pratchett